LibreOffice 3.5.0 depends on libpng12 and libXrender, but not depends on libXinerama.
[slapos.git] / software / cloudooo / instance.cfg
1 [buildout]
2 parts =
3   instance
4
5 eggs-directory = ${buildout:eggs-directory}
6 develop-eggs-directory = ${buildout:develop-eggs-directory}
7
8 [instance]
9 recipe = ${instance-recipe:egg}:${instance-recipe:module}
10
11 # cloudooo specific configuration
12 ooo_binary_path = ${libreoffice-bin:location}/program
13 ooo_paster = ${buildout:bin-directory}/cloudooo_paster
14 ooo_uno_path = ${libreoffice-bin:location}/basis-link/program
15
16 link_binary_list =
17   ${xpdf:location}/bin/pdfinfo
18   ${xpdf:location}/bin/pdftotext
19   ${ffmpeg:location}/bin/ffmpeg
20   ${ffmpeg:location}/bin/ffprobe
21   ${imagemagick:location}/bin/convert
22   ${imagemagick:location}/bin/identify
23   ${pdftk:location}/bin/pdftk
24
25 environment =
26   LD_LIBRARY_PATH = ${file:location}/lib:${fontconfig:location}/lib:${freetype:location}/lib:${libICE:location}/lib:${libpng12:location}/lib:${libSM:location}/lib:${libX11:location}/lib:${libXau:location}/lib:${libXdmcp:location}/lib:${libXext:location}/lib:${libxcb:location}/lib:${libXrender:location}/lib:${zlib:location}/lib